package util

import (
	"net/http"
	"runtime"
	"strings"
)

func GetFunctionName() string {
	pc, _, _, _ := runtime.Caller(1)
	f := runtime.FuncForPC(pc)
	return strings.Split(strings.Split(f.Name(), "/")[1], ".")[1]
}

func HasSubURI(r *http.Request) (bool, string) {
	url := strings.Split(r.URL.Path, "/")
	return (len(url[2]) > 0), url[2]
}
